
<%
 # provide locals: :security [ :smr_position ]
 smr_position = false unless smr_position
 type = if security.has_type_model? then security.get_type else false end
%>

<div class="overview_container">
<table id="overview_securityinfo" class="type_<%=security.type%>">
  <thead>
    <tr><th colspan="2"><%=type%></th></tr>
  </thead>
  <tbody>
<% if type %>
    <% if ul = type.underlying %>
    <tr><td>Underlying</td><td><%= link_to ul.to_s, ul.link.to_url %></td></tr>
    <% end %>
    <tr>
        <td>Remaining Lifetime</td>
        <td>
          <%= if type.is_expired? then 'expired on %s' % smr_humanize(type.time_end)
              else '%s days' % smr_humanize((type.time_end - type.time_inception) / 1.day) end
          %>
        </td>
    </tr>
    <% if type.is_leveraged or type.is_knock_out %>
    <tr>
        <td>Flags</td>
        <td>
          <%if type.is_leveraged %><div class="derivative_flags"><%= check_box_tag :is_leveraged, '1', type.is_leveraged, :disabled=>true %><%= label_tag :is_leveraged %></div><% end %>
          <%if type.is_knock_out %><div class="derivative_flags"><%= check_box_tag :is_knock_out, '1', type.is_knock_out, :disabled=>true %><%= label_tag :is_knock_out %></div><% end %>
        </td>
    </tr>
    <% end %>
<% end %>
  </tbody>
</table>
</div>
